version 11
log using 10.8.ERpolymorphism.log, replace
*  10.7.ERpolymorphism.log
*
*  Do a one-way analysis of variance to determine whether age 
*  at breast cancer diagnosis varies with estrogen receptor (ER)
*  genotype using the data of Parl et al. (1989).
*
use C:\wddtext\10.8.ERpolymorphism.dta
ci age
by genotype: ci age
*
*  The following graph type is not available in Stata version 8.0
*
graph7 age, by(genotype ) box oneway
oneway age genotype
*
*  Test whether the standard deviations of age are equal in 
*  patients with different genotypes.
*
robvar age, by(genotype)
*
*  Repeat analysis using linear regression
*
 regress age i.genotype
lincom _cons + 2.genotype
lincom _cons + 3.genotype
lincom 3.genotype - 2.genotype	
*
*  Perform a Kruskal-Wallis analysis of variance
*
kwallis age, by(genotype)
ranksum age if genotype ~=3, by(genotype)
ranksum age if genotype ~=2, by(genotype)
ranksum age if genotype ~=1, by(genotype)
kwallis age if genotype ~=1, by(genotype)
log close
