version 11
set more on
log using 11.11.Isoproterenol.log, replace
*  11.11.Isoproterenol.log
*
*  Perform a GEE analyses of the effect of race and dose of isoproterenol
*  on blood flow using the data of Lang et al. (1995).  
*
use C:\wddtext\11.2.Long.Isoproterenol.dta ,clear
drop if dose==0 | id==8
generate white = race==1
*
*  Analyze data using classification variables with interaction
*
xtgee delta_fbf dose##white, i(id) robust
lincom _cons + 1.white
lincom _cons+ 20.dose
lincom _cons+ 20.dose +  1.white + 20.dose#1.white
lincom                   1.white + 20.dose#1.white
lincom _cons+ 60.dose
lincom _cons+ 60.dose +  1.white + 60.dose#1.white
lincom                   1.white + 60.dose#1.white
lincom _cons+ 150.dose
lincom _cons+ 150.dose + 1.white + 150.dose#1.white
lincom                   1.white + 150.dose#1.white
lincom _cons+ 300.dose
lincom _cons+ 300.dose + 1.white + 300.dose#1.white
lincom                   1.white + 300.dose#1.white
lincom _cons+ 400.dose
lincom _cons+ 400.dose + 1.white + 400.dose#1.white
lincom                   1.white + 400.dose#1.white
test 20.dose#1.white 60.dose#1.white 150.dose#1.white 300.dose#1.white 400.dose#1.white 
log close
