version 11
log using 4.11.Sepsis, replace
*  4.11.Sepsis.log
*
*  Simple logistic regression of mortal status at 30 days (fate) against
*  baseline APACHE II score (apache) in a random sample of septic patients
*
use C:\WDDtext\4.11.Sepsis.dta, clear
summarize fate apache
codebook
glm fate apache, family(binomial) link(logit)
predict logodds, xb
generate prob = exp(logodds)/(1 + exp(logodds))
list apache fate logodds prob in 1/3
sort apache
label variable prob "Probability of Death"
scatter fate apache 			                    ///
    , ylabel(0 1, valuelabel angle(0)) yscale(titlegap(-8)) ///
    || line prob apache, yaxis(2) xlabel(0(10)40) 
log close
