log using 5.12.EsophagealCa.ClassVersion.log, replace
*  5.12.EsophagealCa.ClassVersion.do
*
*  Estimate age-adjusted risk of esophageal cancer due to dose of tobacco.
*
use C:\WDDtext\5.5.EsophagealCa.dta, clear
*
*  Show frequency tables of effect of dose of tobacco on esophageal cancer.
*
tabulate cancer tobacco [freq=patients] , column
*
*  Analyze the Ille-et-Vilaine data using a logistic regression model
*  that is analogous to model (5.24) in my text.
*
logistic cancer i.age i.tobacco [freq=patients]
*
*  Combine tobacco levels 2 and 3 in a new variable called smoke
*
generate smoke = tobacco
recode smoke 3=2 4=3
label variable smoke "Smoking (gm/day)"
label define  smoke 1 "0-9" 2 "10-29" 3 ">= 30"
label values smoke smoke
table smoke tobacco [freq=patients], row col
logistic cancer i.age i.smoke [freq=patients]
lincom 3.smoke - 2.smoke
log close

