log using 5.20.EsophagealCa.tutorial.log, replace
set more on
*  5.20.EsophagealCa.tutorial.log
*
*  Regress esophageal cancers against age and dose of alcohol 
*  and tobacco using a model with interaction terms.
*
use 5.5.EsophagealCa.dta, clear
sort tobacco
generate smoke = tobacco
recode smoke 3=2 4=3
label variable smoke "Smoking (gm/day)"
label define  smoke 1 "0-9" 2 "10-29" 3 ">= 30"
label values smoke smoke
*
*  Regress cancer against age, alcohol and smoke. 
*  Include alcohol-smoke interaction terms.
*
logistic cancer i.age alcohol##smoke [freq=patients]
log close
