log using 5.9.EsophagealCa.ClassVersion.log, replace
*  5.9.EsophagealCa.ClassVersion.log
*
*  Calculate age-adjusted odds ratio from the Ille-et-Vilaine study
*  of esophageal cancer and alcohol using logistic regression.
*
use 5.5.EsophagealCa.dta, clear
*
*  First, define indicator variables for age strata 2 through 6
*
generate age2 = 0
replace age2 = 1 if age == 2
generate age3 = 0
replace age3 = 1 if age == 3
generate age4 = 0
replace age4 = 1 if age == 4
generate age5 = 0
replace age5 = 1 if age == 5
generate age6 = 0
replace age6 = 1 if age == 6
logit cancer age2 age3 age4 age5 age6 heavy [freq=patients]
logistic cancer age2 age3 age4 age5 age6 heavy [freq=patients]
logistic cancer i.age heavy [freq=patients]
log close
