version 10.0
set more on
log using Framingham.TimeDependent.log, replace
* Framingham.TimeDependent.log
*
*  Perform hazard regressions of gender on CHD risk
*  using age as the time variable.  Explore models
*  with time dependent covariates for sex
*
use C:\WDDtext\2.20.Framingham.dta, clear
generate time= followup/365.25
generate male = sex==1
label define male 0 "Women" 1 "Men"
label values male male
*
*  Calculate the relative risk of CHD for men relative to women using 
*  age as the time variable. 
*
generate exitage = age+time
stset exitage, enter(time age) failure(chdfate) 
stcox male
*
* Perform hazard regression with time dependent covariates for sex
*
tabulate chdfate male		
*
*  Split each patient's record into one or more records so that each
*  record describes one epoch with constant covariates for the epoch.
*  
generate exit = exitage
stset exit, id(id) enter(time age) failure(chdfate)
list id male age exit chdfate if id == 924
stsplit enter, at(50 60 70 80)
list id male enter exit chdfate if id == 924
replace enter=age if id~=id[_n-1]
generate male1 = male*(              exit <= 50)
generate male2 = male*(enter >= 50 & exit <= 60)
generate male3 = male*(enter >= 60 & exit <= 70)
generate male4 = male*(enter >= 70 & exit <= 80)
generate male5 = male*(enter >= 80)
list id male? enter exit chdfate if id == 924
generate testmale = male1 + male2 + male3 + male4 + male5
tabulate chdfate testmale, missing
more
stset exit, id(id) enter(time enter) failure(chdfate) 
stcox male?
test male1 = male2 = male3 = male4 = male5 
lincom male1 - male2
lincom male2 - male3
lincom male3 - male4
lincom male4 - male5
generate male34 = male3 + male4 
summarize male34
stcox male1 male2 male34 male5
test male1 = male2 = male34 = male5
lincom male1 - male2
lincom male2 - male34
lincom male34 - male5
log close
