version 9.0
set more on
log using 7.6.Framingham.log-log.log, replace
*  7.6.Framingham.log    
*
*  Test log(-log(S(t)) residual plots.
*  
set memory 2000
use C:\WDDtext\2.20.Framingham.dta, clear
generate dbpgr = recode(dbp,60,70,80,90,100,110,111)
tabulate dbpgr chdfate
label define dbp 60 "DBP <= 60"   70 "60<DBP<=70"       ///
                 80 "70<DBP<=80"   90 "80<DBP<=90"       ///
                100 "90<DBP<=100" 110 "100<DBP<=110"      ///
                111 "110<DBP"
label variable dbpgr "DBP level" 
label values dbpgr dbp
generate male = sex==1
generate time= followup/365.25
label variable time "Follow-up in Years"
stset time, failure(chdfate)
*
*  Univariate analysis of the effect of DBP on CHD
*
* stcox  i.dbpgr
stphplot, by(dbpgr) nolntime legend(ring(0) position(2) col(1) symxsize(*.5)) 	///
    msymbol(none none none none none none none)					///
    color(red blue black magenta cyan gray orange)
more
stphplot, by(dbpgr) nolntime legend(ring(0) position(2) col(1) symxsize(*.5) textwidth(*2)) 	///
    msymbol(none none none none none none none)					///
    color(red blue black magenta cyan gray orange)
more
stcoxkm, by(dbpgr) legend(ring(0) position(7) col(1) 			///
	order(3 "Observed" 10 "Predicted"))				///
        msymbol(none none none none none none none			///
                none none none none none none none)			///
        lpattern(solid solid solid solid solid  			///
                 solid solid dash dash  dash  dash  dash dash dash)	///
        color(red blue black magenta cyan gray orange			///
               red blue black magenta cyan gray orange)
*
*  Univariate analysis of the effect of gender on CHD
*
stcox male
stphplot, by(male) nolntime 						///
    legend(ring(0) position(2) col(1) order(1 "Female" 2 "Male" )) 	///
    msymbol(none none) color(red blue )
    more
stcoxkm, by(male) legend(ring(0) position(7) col(1)) 			///
        msymbol(none none none none )					///
        lpattern(solid solid dash dash)					///
        color(red blue red blue)

*
*  Fit multiplicative model of DBP and gender on risk of CHD
*
stcox  i.dbpgr male
*
*  Fit model of DBP and gender on risk of CHD using interaction terms
*
stcox  dbpgr##male
*
*  Adjust model for age, BMI and SCL
*
stcox  dbpgr##male age 
display 2*(11646.794 -11517.247)
display chi2tail(1,259.094)
stcox  dbpgr##male age bmi 
display 2*(11517.247   -11490.733 )
display chi2tail(1,53.028)
stcox  dbpgr##male age bmi scl
display 2*(11490.733   -11382.132)
display chi2tail(1,217.202)
*
* Define a single indicator variable for gender and dbp
*
gen dbpsex = dbpgr + male*100
stphplot, by(dbpsex) nolntime 					   ///
    legend(ring(0) position(2) col(1) order(3 "Female" 10 "Male")) ///
    msymbol(none none none none none none none 			   ///
            none none none none none none none) 		   ///
    color(red blue black magenta cyan gray orange		   ///
    	  red blue black magenta cyan gray orange)		   ///
    lpattern(solid solid solid solid solid solid solid 		   ///
             dash dash dash dash dash dash dash)	
   
